import style from './overlay.css';

function preventPropagation (event) {
    event.stopPropagation();
}

function Overlay ({onBackgroundClick}, children) {
    return (
        <div className={style.overlay} onclick={onBackgroundClick}>
            <div className={style.contentWrapper} onclick={preventPropagation}>
                {children}
            </div>
        </div>
    )
}

export {
    Overlay
}
